
set Version 1.2
proc Loadramdrawer { dir version } {
    set argv [list -read_default_file 0]
    if { [interp exists ramdrawer] } {
	if { [ramdrawer eval info exists argv] } {
	    set argv [ramdrawer eval set argv]
	}
	interp delete ramdrawer
    }
    if { ![interp exists ramdrawer] } {
	interp create ramdrawer
    }
    interp alias ramdrawer master "" eval
    ramdrawer eval [list load {} Tk]
    ramdrawer eval package require Tk
    if { ![ramdrawer eval info exists argv] } {
	ramdrawer eval [list set argc 0]
	ramdrawer eval [list set argv $argv]
    }
    ramdrawer eval wm withdraw .
    ramdrawer eval [list set auto_path $::auto_path]
    ramdrawer eval [list set argv0 [file join $dir ramdrawer.tcl]]
    catch { ramdrawer hide exit }
    ramdrawer alias exit EndLoadramdrawer
    ramdrawer alias bgerror bgerror
    ramdrawer eval [list package provide ramdrawer $version]
    ramdrawer eval [list source [file join $dir ramdrawer.tcl]]
    update idletasks
    package provide ramdrawer $version
}
proc EndLoadramdrawer {} {
    interp delete ramdrawer
    package forget ramdrawer
}
if {![package vsatisfies [package provide Tcl] 8.5]} {return}
package ifneeded ramdrawer $Version [list Loadramdrawer $dir $Version]
