#!/bin/bash -f

#    OutputFile: $2/$1.flavia.inf
#    ErrorFile: $2/$1.flavia.err
#    WarningFile: $2/$1.flavia.war

if [ ! -e "$3/exec/tdyn" ]
then
echo "error: This distribution does not contain the UNIX executable" >> "$2/$1.err"
fi
rm -f "$2/$1.flavia.err" "$2/$1.flavia.res" "$2/$1.flavia"
mv "$2/$1.dat" "$2/$1.flavia"
#LD_LIBRARY_PATH=/usr/lib:$LD_LIBRARY_PATH

"$3/exec/tdyn" -name "$2/$1.flavia" > "$2/$1.flavia.out"

if [ ! -e "$2/$1.flavia.res" -o ! -s "$2/$1.flavia.res" ]
then
echo "Program failed a" >> "$2/$1.flavia.err"
fi
